/*
 * $Id: FunctionalViewInfo.java,v 1.1 2006/10/04 03:15:14 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: FunctionalViewInfo.java,v $
 * Revision 1.1  2006/10/04 03:15:14  marbobo
 * + Vollständige Unterstützung für Templates implementiert
 * + Alles von Virtoweb auf ProCoBa umgestellt
 *
 * Revision 1.2  2004/07/20 08:58:38  jonyp
 * added copyright info + cvs log
 *
 *
 */

package vkc.procoba.function;

import vkc.db.entities.VKCEntity;
import vkc.util.StringUtils;

public class FunctionalViewInfo {

	private String  name = "";
	private Integer categoryId = VKCEntity.ID_UNDEFINED;

	public String getName() {
		return name;
	}

	public void setName(String string) {
		name = StringUtils.normalize( string );
	}

	public Integer getCategoryId() {
		return categoryId;
	}

	public void setCategoryId(Integer integer) {
		categoryId = integer==null ? VKCEntity.ID_UNDEFINED : integer;
	}
}